Skip site navigation (1) Skip section navigation (2)

error message: the driver doesn't support the version of odbc-function

From: "A(dot) Hahnefeld" <ahahnefeld(at)rjm(dot)de>
To: <pgsql-odbc(at)postgresql(dot)org>
Subject: error message: the driver doesn't support the version of odbc-function
Date: 2001-10-16 16:42:23
Message-ID: 001201c15661$889001c0$a096a8c0@HPEPC (view raw or flat)
Thread:
Lists: pgsql-odbc
Hi,

I'm trying to connect my PgSQL database (v 7.1.2) via the PostgreSQl-ODBC
driver (v 7.01.00.07).
I'm accessing from Delphi the "SQLDriverConnect" function via the ODBC32.DLL
(v 3.520.6019.0).
In my opinion I use the correct connection parameters 'cause a connection is
made.
The problem is that the connection will be closed immediately with a strange
error message:
"The driver doesn't support the version of the odbc-function, which is
needed (notice SQLSetEnvAttr)"
(This NOT the original message, 'cause it's a translation the original into
english)
The options described if working with Borland products have been set as
described.
I hope someone can help.

Thanks a lot
Andreas Hahnefeld

Attachment: mylog_1420.log
Description: application/octet-stream (9.7 KB)
Attachment: psqlodbc_1420.log
Description: application/octet-stream (1.0 KB)

Responses

pgsql-odbc by date

Next:From: Henshall, Stuart - WCPDate: 2001-10-17 08:52:48
Subject: Re: PgSQL vs Ms.Access slow in search
Previous:From: PacAnugDate: 2001-10-16 05:15:17
Subject: ODBC Src

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group